<?php

Route::get('/', 'AdminController@indexview');
Route::get('/history', 'AdminController@history');
Route::get('/notice','AdminController@notice');
Route::get('/notice/{id}','AdminController@single_notice');
Route::get('/important-links','AdminController@importantlinks');
Route::get('/esheba-links','AdminController@eshebalinks');
Route::get('/important-forms','AdminController@importantforms');
Route::get('/result','AdminController@result_show');
Route::get('/routine','AdminController@routine_show');
Route::get('/admission','AdminController@admission_info');
Route::get('/gallery','AdminController@gallery_view');
Route::get('/contact','AdminController@contact');
Route::get('/participant','AdminController@participant');
Route::get('/studentoftheyear','AdminController@studentoftheyear');
Route::get('/whysoty','AdminController@whysoty');
Route::get('/joinmentor','AdminController@joinmentor');
Route::get('/get-districts/{divisionId}','AdminController@getDistricts')->name('get.districts');
Route::get('/get-upazilas/{districtId}','AdminController@getUpazilas');
Route::post('/mentor-store','AdminController@storeJoinmentor')->name('mentor.store');


Route::get('/about','AdminController@about');
Route::get('/registration','AdminController@registration');
Route::post('/participants-registration','AdminController@studentRegistration')->name('participants.store');
Route::get('/teams','AdminController@teams')->name('team.filter');
Route::get('/blogs','AdminController@blogs');
Route::get('/blogdetails/{id}','AdminController@blogdetails');
Route::get('/events','AdminController@events');
Route::get('/eventdetails/{id}','AdminController@eventdetails');
Route::get('/joinsoty','AdminController@joinsoty');
Route::get('/winners','AdminController@winners');
Route::get('/partners','AdminController@partners');
Route::get('/get-districts/{divisionId}', 'AdminController@getTeamDistricts');
Route::get('/faq','AdminController@faq');
Route::get('/round-details/{id}', 'AdminController@roundDetails');
Route::post('/send-mail', 'AdminController@maildata')->name('send_mail');
// Route::post('/send-mail','AdminController@storeJoinmentor')->name('send_mail');
// Route::post ('/send-maila','AdminController@maildata')->name('send_mail');

Auth::routes();
 
Route::group(['middleware' => 'auth'], function () {
    
     
Route::get('/admin', 'AdminController@index');
//Route::get('admin/{id}', 'AdminController@editprofile');
//Route::post('admin/{id}/updateprofile', 'AdminController@updateprofile');
Route::get('admin/history', 'AdminController@school_history');
Route::post('admin/updatehistory', 'AdminController@updatehistory');

Route::get('admin/speech', 'AdminController@speech');
Route::post('admin/updatespeech', 'AdminController@updatespeech');

Route::get('admin/allepisode', 'AdminController@allepisode');
Route::get('admin/allepisode/create', 'AdminController@episodecreate');
Route::post('admin/allepisode/store', 'AdminController@episodestore');

Route::get('admin/allepisode/{id}/edit', 'AdminController@episodeedit')->name('episode-edit');
Route::get('admin/allepisode/{id}/show', 'AdminController@episodeshow');
Route::post('admin/allepisode/{id}/update', 'AdminController@episodeupdate')->name('episode-update');

//guest
Route::get('admin/guest', 'AdminController@guest');
Route::get('admin/guest/create', 'AdminController@guestcreate');
Route::post('admin/guest/store', 'AdminController@gueststore');
Route::get('admin/guest/{id}/edit', 'AdminController@guestedit');
Route::post('admin/guest/{id}/update', 'AdminController@guestupdate');
Route::get('admin/guest/{id}/delete', 'AdminController@guestdelete');


//Special guest
Route::get('admin/specialguest', 'AdminController@specialguest');
Route::get('admin/specialguest/create', 'AdminController@specialguestcretae');
Route::post('admin/specialguest/store', 'AdminController@specialgueststore');
Route::get('admin/specialguest/{id}/edit', 'AdminController@specialguestedit');
Route::post('admin/specialguest/{id}/update', 'AdminController@specialguestupdate');
Route::get('admin/specialguest/{id}/delete', 'AdminController@specialguestdelete');

//Judge
Route::get('admin/judge', 'AdminController@judge');
Route::get('admin/judge/create', 'AdminController@judgecretae');
Route::post('admin/judge/store', 'AdminController@judgetstore');
Route::get('admin/judge/{id}/edit', 'AdminController@judgeedit');
Route::post('admin/judge/{id}/update', 'AdminController@judgeupdate');
Route::get('admin/judge/{id}/delete', 'AdminController@judgedelete');

//Special Moment
Route::get('admin/specialmoment', 'AdminController@specialmoment');
Route::get('admin/specialmoment/create', 'AdminController@specialmomentcreate');
Route::post('admin/specialmoment/store', 'AdminController@specialmomentstore');
Route::get('admin/specialmoment/{id}/delete', 'AdminController@specialmomentdelete');

//Auduences Qustions
Route::get('admin/audiencequestion', 'AdminController@audiencequestion');
Route::get('admin/audiencequestion/create', 'AdminController@audiencequestioncreate');
Route::post('admin/audiencequestion/store', 'AdminController@audiencequestionstore');
Route::get('admin/audiencequestion/{id}/delete', 'AdminController@audiencequestiondelete');


//Question Distributions
Route::get('admin/qd', 'AdminController@qd');
Route::get('admin/qd/create', 'AdminController@qdCreate');
Route::post('admin/qd/store', 'AdminController@qdstore');
Route::get('admin/qd/{id}/delete', 'AdminController@qddelete');

//Winner Audience
Route::get('admin/winneraudience', 'AdminController@winneraudience');
Route::get('admin/winneraudience/create', 'AdminController@winneraudiencecreate');
Route::post('admin/winneraudience/store', 'AdminController@winneraudiencestore');
Route::get('admin/winneraudience/{id}/delete', 'AdminController@winneraudiencedelete');

//Quize Answer
Route::post('admin/qizeanswer/{id}/store', 'AdminController@qizeanswerstore');

//registeredstudent
Route::get('admin/registeredstudent', 'AdminController@registeredstudent');
//perticipentlist
Route::get('admin/perticipentlist', 'AdminController@perticipentlist');
Route::get('admin/perticipentlist/{id}', 'AdminController@perticipentProfile');
Route::get('admin/registeredstudent/{id}', 'AdminController@registeredstudentProfile');


//permission 
Route::post('admin/perticipentlist/{id}/publish', 'AdminController@permission');
Route::post('admin/perticipentlist/{id}/selection', 'AdminController@selection');
Route::post('admin/perticipentlist/{id}/roundone', 'AdminController@roundone');
Route::post('admin/perticipentlist/{id}/roundtwo', 'AdminController@roundtwo');
Route::post('admin/perticipentlist/{id}/roundthree', 'AdminController@roundthree');
Route::post('admin/perticipentlist/{id}/roundfour', 'AdminController@roundfour');
Route::post('admin/perticipentlist/{id}/roundfive', 'AdminController@roundfive');
Route::post('admin/perticipentlist/{id}/roundsix', 'AdminController@roundsix');
Route::post('admin/perticipentlist/{id}/roundseven', 'AdminController@roundseven');
//Quize Permission

Route::post('admin/quizaccess', 'AdminController@quizaccess');

//Second
Route::post('admin/episodecontrol/{id}/quizepermission', 'AdminController@quizepermission');
Route::post('admin/episodecontrol/{id}/quizeroundoneimage', 'AdminController@quizeroundoneimage');
Route::post('admin/episodecontrol/{id}/quizeroundoneaudio', 'AdminController@quizeroundoneaudio');
Route::post('admin/episodecontrol/{id}/quizeroundonevideo', 'AdminController@quizeroundonevideo');


//third round
//Route::post('admin/episodecontrol/{id}/quizepermissionthree', 'AdminController@quizepermission');
Route::post('admin/episodecontrol/{id}/quizeroundthreetext', 'AdminController@quizeroundthreetext');
Route::post('admin/episodecontrol/{id}/quizeroundthreeimage', 'AdminController@quizeroundthreeimage');

Route::post('admin/episodecontrol/{id}/quizeroundfourtext', 'AdminController@quizeroundfourtext');
Route::post('admin/episodecontrol/{id}/quizeroundfourimage', 'AdminController@quizeroundfourimage');

Route::post('admin/episodecontrol/{id}/quizeroundfivetext', 'AdminController@quizeroundfivetext');
Route::post('admin/episodecontrol/{id}/quizeroundfiveimage', 'AdminController@quizeroundfiveimage');

Route::post('admin/episodecontrol/{id}/quizeroundsixtext', 'AdminController@quizeroundsixtext');
Route::post('admin/episodecontrol/{id}/quizeroundsiximage', 'AdminController@quizeroundsiximage');



//Perticipent edit and delete_all_user_settings()
Route::get('admin/perticipentlist/{id}/edit', 'UserController@edit');
Route::get('admin/registrantlist/{id}/studentEdit', 'UserController@studentEdit');
Route::post('admin/perticipentlist/{id}/update', ['as' => 'users.update', 'uses' => 'UserController@update']);
Route::post('admin/registrantlist/{id}/studentupdate', ['as' => 'users.studentupdate', 'uses' => 'UserController@studentupdate']);
//Route::post('admin/perticipentlist/{id}/updatelist', 'UserController@update');
Route::get('admin/perticipentlist/{id}/delete', 'UserController@delete');
Route::get('admin/registrantlist/{id}/studentdelete', 'UserController@studentdelete');

//marks
Route::get('admin/meritlist', 'AdminController@meritlist');
Route::get('admin/marks', 'AdminController@marks');
Route::get('admin/marks/create', 'AdminController@markcreate');
Route::post('admin/marks/store', 'AdminController@markstore');
Route::post('admin/marks/guestmarkstore', 'AdminController@guestmarkstore');

Route::get('admin/marks/{id}/edit', 'AdminController@marksedit');
Route::post('admin/meritlist/{id}/update', 'AdminController@marksupdate');
Route::get('admin/meritlist/{id}/delete', 'AdminController@marksdelete');


//Questions
Route::get('admin/quistions', 'AdminController@quistions');
Route::get('admin/quistionsprint', 'AdminController@quistionsprint');
Route::get('admin/quistion/create', 'AdminController@quistioncreate');
Route::POST('admin/quistion/store', 'AdminController@quistionstore');
Route::get('admin/quistion/{id}/edit', 'AdminController@quistionedit');
Route::post('admin/quistion/{id}/update', 'AdminController@quistionupdate');
Route::get('admin/quistion/{id}/delete', 'AdminController@quistiondelete');
Route::post('admin/quistion/{id}/statusupdate', 'AdminController@statusupdate');


Route::get('admin/singlequistions/create', 'AdminController@singlequistionscreate');
Route::POST('admin/singlequistions/store', 'AdminController@singlequistionsstore');

//Episode Controlling
Route::get('admin/episodecontrol', 'AdminController@episodecontrol');
Route::get('admin/episodecontrol/create', 'AdminController@episodecontrolcreate');
Route::post('admin/episodecontrol/store', 'AdminController@episodecontrolstore');
Route::get('admin/episodecontrol/{id}/edit', 'AdminController@episodecontroledit');
Route::post('admin/episodecontrol/{id}/update', 'AdminController@episodecontrolupdate');



//admission info
Route::get('admin/admissioninfo', 'AdminController@admisssioninfo');
Route::post('admin/updateadmisssioninfo', 'AdminController@updateadmisssioninfo');

Route::get('admin/elinks', 'AdminController@elinks');
Route::post('admin/create_elink', 'AdminController@create_elink');
Route::get('admin/elinklist', 'AdminController@elinklist');


Route::get('admin/forms', 'AdminController@forms');
Route::post('admin/create_form', 'AdminController@add_form');
Route::get('admin/formlist', 'AdminController@formlist');


Route::get('admin/videos', 'AdminController@videos');
Route::post('admin/update_video', 'AdminController@update_video');


Route::get('admin/implinks', 'AdminController@implinks');
Route::post('admin/create_implink', 'AdminController@create_implink');
Route::get('admin/implinklist', 'AdminController@implinklist');


Route::get('admin/notices', 'AdminController@notices');
Route::post('admin/create_notice', 'AdminController@create_notice');
Route::get('admin/noticelist', 'AdminController@noticelist');
Route::get('admin/delete_notice/{id}', 'AdminController@delete_notice');
Route::get('admin/edit_notice/{id}', 'AdminController@edit_notice');
Route::post('admin/update_notice', 'AdminController@update_notice');


Route::get('admin/edit_slider/{id}', 'AdminController@edit_slider');
Route::post('admin/update_slider', 'AdminController@update_slider');

Route::get('admin/delete_gallery/{id}', 'AdminController@delete_gallery');
Route::get('admin/delete_slider/{id}', 'AdminController@delete_slider');
Route::get('admin/delete_form/{id}', 'AdminController@delete_form');
Route::get('admin/delete_result/{id}', 'AdminController@delete_result');
Route::get('admin/delete_implink/{id}', 'AdminController@delete_implink');
Route::get('admin/delete_elink/{id}', 'AdminController@delete_elink');



Route::get('admin/gallerys', 'AdminController@gallerys');
Route::post('admin/create_gallery', 'AdminController@create_gallery');
Route::get('admin/gallerylist', 'AdminController@gallerylist');


Route::get('admin/schedule', 'AdminController@schedule');
Route::post('admin/update_schedule', 'AdminController@update_schedule');


Route::get('admin/sliders', 'AdminController@sliders');
Route::post('admin/create_slider', 'AdminController@create_slider');
Route::get('admin/sliderlist', 'AdminController@sliderlist');


Route::get('admin/routines', 'AdminController@routines');
Route::post('admin/create_routine', 'AdminController@create_routine');

Route::get('admin/results', 'AdminController@add_result');
Route::post('admin/create_result', 'AdminController@create_result');
Route::get('admin/resultlist', 'AdminController@resultlist');
 
    
Route::get('admin/contact', 'AdminController@contact_info');
Route::post('admin/update_contact', 'AdminController@update_contact');


//new development

// <!--Events Partners FAQ Teams Winners Join SOTY Participant List-->

Route::get('admin/about/create', 'AdminController@aboutCreate');
Route::post('admin/about/store', 'AdminController@aboutStore');

// Event 
Route::get('admin/event/list', 'AdminController@eventList');
Route::get('admin/event/create', 'AdminController@eventCreate');
Route::post('admin/event/store', 'AdminController@eventStore');
Route::get('admin/event/{id}/edit', 'AdminController@eventEdit');
Route::post('admin/event/{id}/update', 'AdminController@eventUpdate');
Route::get('admin/event/{id}/delete', 'AdminController@eventDelete');

// Blogs 
Route::get('admin/blogs/list', 'AdminController@blogsList');
Route::get('admin/blogs/create', 'AdminController@blogsCreate');
Route::post('admin/blogs/store', 'AdminController@blogsStore');
Route::get('admin/blogs/{id}/edit', 'AdminController@blogsEdit');
Route::post('admin/blogs/{id}/update', 'AdminController@blogsUpdate');
Route::get('admin/blogs/{id}/delete', 'AdminController@blogsDelete');

// Partners 
Route::get('admin/partners/list', 'AdminController@partnersList');
Route::get('admin/partners/create', 'AdminController@partnersCreate');
Route::post('admin/partners/store', 'AdminController@partnersStore');
Route::get('admin/partners/{id}/edit', 'AdminController@partnersEdit');
Route::post('admin/partners/{id}/update', 'AdminController@partnersUpdate');
Route::get('admin/partners/{id}/delete', 'AdminController@partnersDelete');

// Faq Category
Route::get('admin/faqcat/list', 'AdminController@faqCatList');
Route::get('admin/faqcat/create', 'AdminController@faqCatCreate');
Route::post('admin/faqcat/store', 'AdminController@faqCatStore');
Route::get('admin/faqcat/{id}/edit', 'AdminController@faqCatEdit');
Route::post('admin/faqcat/{id}/update', 'AdminController@faqCatUpdate');
Route::get('admin/faqcat/{id}/delete', 'AdminController@faqCatDelete');

// Faq 
Route::get('admin/faqs/list', 'AdminController@faqsList');
Route::get('admin/faqs/create', 'AdminController@faqsCreate');
Route::post('admin/faqs/store', 'AdminController@faqsStore');
Route::get('admin/faqs/{id}/edit', 'AdminController@faqsEdit');
Route::post('admin/faqs/{id}/update', 'AdminController@faqsUpdate');
Route::get('admin/faqs/{id}/delete', 'AdminController@faqsDelete');

// Teams 
Route::get('admin/teams/list', 'AdminController@teamsList');
Route::get('admin/teams/create', 'AdminController@teamsCreate');
Route::post('admin/teams/store', 'AdminController@teamsStore');
Route::get('admin/teams/{id}/edit', 'AdminController@teamsEdit');
Route::post('admin/teams/{id}/update', 'AdminController@teamsUpdate');
Route::get('admin/teams/{id}/delete', 'AdminController@teamsDelete');


// Round 
Route::get('admin/round/list', 'AdminController@roundList');
// Route::get('/round-details/{id}', 'AdminController@roundDetails');
Route::get('admin/round/create', 'AdminController@roundCreate');
Route::post('admin/round/store', 'AdminController@roundStore');
Route::get('admin/round/{id}/edit', 'AdminController@roundEdit');
Route::post('admin/round/{id}/update', 'AdminController@roundUpdate');
Route::get('admin/round/{id}/delete', 'AdminController@roundDelete');


// Reward 
Route::get('admin/reward/list', 'AdminController@rewardList');
Route::get('admin/reward/create', 'AdminController@rewardCreate');
Route::post('admin/reward/store', 'AdminController@rewardStore');
Route::get('admin/reward/{id}/edit', 'AdminController@rewardEdit');
Route::post('admin/reward/{id}/update', 'AdminController@rewardUpdate');
Route::get('admin/reward/{id}/delete', 'AdminController@rewardDelete');

// Certificate 
Route::get('admin/certificate/list', 'AdminController@certificateList');
Route::get('admin/certificate/create', 'AdminController@certificateCreate');
Route::post('admin/certificate/store', 'AdminController@certificateStore');
Route::get('admin/certificate/{id}/edit', 'AdminController@certificateEdit');
Route::post('admin/certificate/{id}/update', 'AdminController@certificateUpdate');
Route::get('admin/certificate/{id}/delete', 'AdminController@certificateDelete');

// Winner 
Route::get('admin/winner/list', 'AdminController@winnerList');
Route::get('admin/winner/create', 'AdminController@winnerCreate');
Route::post('admin/winner/store', 'AdminController@winnerStore');
Route::get('admin/winner/{id}/edit', 'AdminController@winnerEdit');
Route::post('admin/winner/{id}/update', 'AdminController@winnerUpdate');
Route::get('admin/winner/{id}/delete', 'AdminController@winnerDelete');

// session 
Route::get('admin/session/list', 'AdminController@sessionList');
Route::get('admin/session/create', 'AdminController@sessionCreate');
Route::post('admin/session/store', 'AdminController@sessionStore');
Route::get('admin/session/{id}/edit', 'AdminController@sessionEdit');
Route::post('admin/session/{id}/update', 'AdminController@sessionUpdate');
Route::get('admin/session/{id}/delete', 'AdminController@sessionDelete');

// Join As Type 
Route::get('admin/join-as-list', 'AdminController@joinAsList');
Route::get('admin/join-as/create', 'AdminController@joinAsCreate');
Route::post('admin/join-as/store', 'AdminController@joinAsStore');
Route::get('admin/join-as/{id}/edit', 'AdminController@joinAsEdit');
Route::post('admin/join-as/{id}/update', 'AdminController@joinAsUpdate');
Route::get('admin/join-as/{id}/delete', 'AdminController@joinAsDelete');

// Join As Details 
Route::get('admin/joinasdetail/list', 'AdminController@joinAsDetailList');
Route::get('admin/joinasdetail/create', 'AdminController@joinAsDetailCreate');
Route::post('admin/joinasdetail/store', 'AdminController@joinAsDetailStore');
Route::get('admin/joinasdetail/{id}/edit', 'AdminController@joinAsDetailEdit');
Route::post('admin/joinasdetail/{id}/update', 'AdminController@joinAsDetailUpdate');
Route::get('admin/joinasdetail/{id}/delete', 'AdminController@joinAsDetailDelete');

// Bkash Amount
Route::get('admin/bkash-amount/list', 'AdminController@paymentAmount');
Route::get('admin/bkash-amount/{id}/edit', 'AdminController@paymentAmountEdit');
Route::post('admin/bkash-amount/{id}/update', 'AdminController@paymentAmountUpdate');


Route::get('admin/winners_list', 'AdminController@winners_list');
Route::get('admin/joinsory_list', 'AdminController@joinsoty_list');
Route::get('admin/joinsoty/{id}/edit', 'AdminController@soty_edit')->name('mentor.edit');
Route::post('admin/joinsoty/{id}/update', 'AdminController@updateJoinmentor')->name('mentor.update');
Route::get('admin/joinsoty/{id}/delete', 'AdminController@destroyJoinmentor')->name('mentor.delete');

Route::get('admin/participants', 'AdminController@participants');
Route::get('admin/participant_create', 'AdminController@participant_create');
Route::get('admin/participant_update', 'AdminController@participant_update');

Route::post('/ckeditor/upload', 'CKEditorController@upload')->name('ckeditor.upload');
// Uses Auth Middleware
});
 